Toggle menu
Toggle preferences menu
Toggle personal menu
Not logged in
Your IP address will be publicly visible if you make any edits.
The main server is currently down. We are running on a backup server, so editing and search functionality are temporarily disabled. Please check back in a few hours.
Revision as of 05:31, 26 November 2022 by HydeWing (talk | contribs)

Note: After publishing, you may have to bypass your browser's cache to see the changes.

  • Firefox / Safari: Hold Shift while clicking Reload, or press either Ctrl-F5 or Ctrl-R (⌘-R on a Mac)
  • Google Chrome: Press Ctrl-Shift-R (⌘-Shift-R on a Mac)
  • Edge: Hold Ctrl while clicking Refresh, or press Ctrl-F5.
/* All CSS here will be loaded for users of the Citizen skin */

.not-available {
    filter: opacity(0.4);
}

:root {
    --width-layout: 1440px;
}

li.gallerybox{
position: relative;
padding: 5px;
background: var(--color-surface-1);
border-radius: 8px;
box-shadow: 0 3px 6px rgb(0 0 0 / 4%), 0 3px 6px rgb(0 0 0 / 6%);
margin-bottom: 5px;
font-weight: 500;
}

div.gallerytext {
    color: none !important;
    font-size: inherit !important;
    font-style: normal !important;
}

div.gallerytext > pre {
    margin-top: -20px !important;
    margin-bottom: -15px !important;
    font-size: 13px !important;
    font-family: inherit;
    color: gray;
    border: none;
    background: none;
}

/* Infobox section */
table.infobox {
    margin-left: 1.4rem;
    clear: right;
    float: right;
    z-index: 3!important;
    overflow: hidden;
    width: 350px;
    padding: 5px;
    max-width: 100%;
    margin-bottom: 1.6rem;
    padding-bottom: 20px!important;
    background: var(--color-surface-2);
    border-radius: var(--border-radius--medium);
    border-spacing: 0;
    box-shadow: var(--box-shadow-card);
    font-size: 0.875rem;
}


th.infobox-title{
    padding-top: 10px;
    width: 100%;
    margin-top: 20px;
    margin-bottom: 5px;
    color: var(--color-base--emphasized);
    font-size: 1.4rem;
    line-height: 1.4;
}

th.infobox-header{
width: 100%;
    padding-top: 15px;
    border-top: 1px solid;
    border-color: var(--border-color-base);
    margin-top: 15px;
    color: var(--color-base--emphasized);
    font-size: 1rem;
}

/* LinkBar CSS */
.hbmenu {
list-style: none;
text-align: center;
margin: auto !important;
}

.hbmenu > li {
    display: inline-flex;
    border: none;
    text-align: center;
    background: linear-gradient(180deg,#46b3e7,#6fe0df);
    padding: 8px 40px 8px 40px;
    font-weight: 600;
    margin-right: -30px;
    margin-bottom: 10px;
    border-radius: 8px;
    box-shadow: none;
}
.hbmenu > li > a {
color: #fff;
}

.hbmenu > li > a:hover {
    color: var(--color-primary--hover);
}

/* Main Page Browser Homebrews Section*/
ul.small-block-grid-2.large-block-grid-4 {
    display: inline-flex;
    list-style: none;
}


/* Home Grid Section*/
.home-grid {
	display: grid;
	grid: auto-flow dense/repeat( auto-fit, minmax( 9.375rem, 1fr ) );
	/*grid-auto-rows: minmax( 3rem, auto );*/
	grid-gap: 0.625rem;
}

.home-grid--col2 {
	grid-template-columns: 1fr 1fr;
}

.home-grid a.external {
	background-image: none;
}

.home-card {
	position: relative;
	padding: 15px;
	background: var( --color-surface-1 );
	border-radius: 8px;
	box-shadow: 0 3px 6px rgba( 0, 0, 0, 0.04 ), 0 3px 6px rgba( 0, 0, 0, 0.0575 );
	font-size: 0.875rem;
}

.home-card table.timeline {
	margin-top: 0.2rem;
}

.home-card--col2 {
	grid-column: span 2;
}

.home-card--row3 {
	grid-row: span 3;
}

.home-card--row4 {
	grid-row: span 4;
}

.home-card--row8 {
	grid-row: span 8 / auto;
}

.home-card__label {
	color: var( --color-base--subtle );
	font-size: 0.8125rem;
	letter-spacing: 0.75px;
}

h3.home-card__header {
	margin-top: 0;
	font-size: 1rem;
}

.home-card__header a {
	display: flex;
	align-items: center;
	justify-content: space-between;
}

.home-card__header a:after {
	content: '▶';
	font-size: 0.8125rem;
}

.home-card__background {
	position: absolute;
	top: 0;
	right: 0;
	bottom: 0;
	left: 0;
	border-radius: 8px;
}

.home-card__background1 {
background: #b7eded;
}

.home-card__background2 {
background: #dcf6f7;
}

.home-card__background3 {
background: #62dadb;
}

.home-card__background4 {
background: #f5f5f5;
}

.home-card__background5 {
background: #90e4e4;
}

.home-card__background6 {
background: #b6eeed;
}


.home-card__background img {
	width: 100%;
	height: 100%;
	object-fit: scale-down;
	object-position: center;
	transition: transform 0.2s ease;
}

/*.home-card:hover .home-card__background img {
	transform: scale( 1.1 );
}*/

.home-card--button:hover {
    transform: scale( 1.05 );
}

.home-card__foreground {
	position: absolute;
}

.home-card__foreground .home-card__label {
	color: #bababa;
}

.home-card__foreground .home-card__header {
	color: #fff;
}

.home-card p {
	margin-top: 0.2rem;
	font-size: 0.875rem;
}

.home-card.home-card--button {
	overflow: hidden;
        padding: 20px;
        height: 128px;
}

.home-card--button a {
	display: flex;
	height: 100%;
	align-items: center;
	padding: 0 15px;
	background: transparent;
	color: #fff;
	font-weight: 500;
}

.home-card--button .home-card__background a {
	padding: 0;
}

.home-link {
	display: grid;
	margin-top: 6px;
	font-size: 0.875rem;
	font-weight: 500;
	grid-gap: 6px;
	text-align: center;
}

.home-link__button {
	display: flex;
}

.home-link__button a {
	flex-grow: 1;
	padding: 0.3rem 0.6rem;
	border: 1px solid;
	border-color: var( --border-color-base );
	background: var( --background-color-framed );
	border-radius: 12px;
	color: var( --color-base--emphasized );
}

.home-link__button a:hover {
	background: var( --background-color-framed--hover );
}

.home-link__button a:active {
	background: var( --background-color-framed--active );
}

#home-content {
	margin-top: 1.6rem;
}

.home-stats {
	flex-grow: 1;
	line-height: 1;
}

.home-stats__value {
	font-size: 1.5rem;
	font-weight: 600;
}

.home-stats__unit {
	margin-top: 0.2rem;
	color: var( --color-base--subtle );
	font-size: 0.8125rem;
}

#home-card-discord {
	background: #5865f2;
}

#home-card-patreon {
	background: #ff424d;
}

#home-card-reddit {
	background: #ff4500;
}

#home-card-discord a,
#home-card-patreon a,
#home-card-reddit a {
	justify-content: center;
}

#home-card-discord img,
#home-card-patreon img,
#home-card-reddit img {
	transition: transform 0.2s ease;
}

#home-card-discord:hover img,
#home-card-patreon:hover img,
#home-card-reddit:hover img {
	transform: scale( 1.1 );
}

.home-footer {
	font-size: 0.8125rem;
	font-family: monospace;
	text-align: center;
}

#home-card-editor {
    margin-top: 5px;
}

/*.home-header {
	margin-top: 2rem;
	margin-bottom: 2rem;
	padding-top: 1rem;
}*/

.home-header__title {
	margin-top: 0;
	font-size: 1.5rem;
}

.home-header .home-header__subtitle {
	margin-top: 0.4rem;
	color: var( --color-base--subtle );
	font-size: 0.875rem;
}

.home-header__search {
	max-width: 600px;
	padding: 0.6rem 0.8rem;
	margin: 0.8rem auto 0 auto;
	background: var( --color-surface-1 );
	border-radius: 100px;
	box-shadow: var( --box-shadow-card );
	color: var( --color-base--subtle );
	font-size: 0.875rem;
}

.home-header__searchIcon img {
	margin-right: 0.5rem;
    opacity: var( --opacity-icon-base );
}

.keyboard-text {
	padding: 0 5px;
	border: 1px solid;
	margin: 0 2px;
	border-radius: 4px;
}

html.skin-citizen-dark .home-header__searchIcon img {
	filter: invert( 1 );
}

@media ( min-width: 682px ) {
	.home-header {
		text-align: center;
	}
}

@media ( hover: none ) {
	.desktoponly {
		display: none;
	}
}

/* Cargo Table Css*/
table.dataTable.stripe tbody tr.odd, table.dataTable.display tbody tr.odd {
   background-color: transparent;
}

table.dataTable.display tbody tr.odd > .sorting_1, table.dataTable.order-column.stripe tbody tr.odd > .sorting_1 {
background-color: transparent;
}

table.dataTable.display tbody tr.even > .sorting_1, table.dataTable.order-column.stripe tbody tr.even > .sorting_1 {
background-color: transparent;
}

table.dataTable tbody tr {
    background-color: transparent;
}

tr.even:hover, tr.odd:hover {
    background-color:var(--background-color-quiet--hover) !important;
}

table.dataTable, table.dataTable th, table.dataTable td {
    text-align: center;
}

.dataTables_wrapper .dataTables_length, .dataTables_wrapper .dataTables_filter, .dataTables_wrapper .dataTables_info, .dataTables_wrapper .dataTables_processing, .dataTables_wrapper .dataTables_paginate {
    color: var(--color-base--subtle);
    font-weight: 500;
}

/*Footer*/

#footer-sitetitle {
   margin: none !important;
}

#footer-bottom {
   margin-top: none !important;
}

/*Main*/
.heading-main1{
 border: 1px solid;
 border-color: var( --border-color-base );
 background: var( --background-color-framed );
 border-radius: 8px;
 color: var( --color-base--emphasized );
 padding: 10px;
 font-size:125%;
 font-weight:bold;
 text-align: center;
}

/*Table CSS*/
td, th {
    padding: 5px;
}

tr:hover {
background-color:var(--background-color-quiet--hover)
}

/*table border top and bottom*/
table.dataTable tfoot th, table.dataTable tfoot td {
    display: none;
}

table.dataTable thead th, table.dataTable thead td {
    border-bottom: 1px solid #5b5b5bba;
}

/*toc bar*/
table#toc2 {
    width: auto;
    margin-right: 0px;
    margin-left: auto;
    border: solid 1px #99b4ba75;
    border-radius: 8px;
    padding: 0px 20px 0px 20px;
}

/*button page*/
.dataTables_wrapper .dataTables_paginate .paginate_button.current {
    background: #ededed9e;
    border-radius: 8px;
    border: none;
}

/*link text*/
a {
    color: hsl(201deg 60% 50%);
}


/*input box margin fix*/
.dataTables_wrapper .dataTables_filter input {
    margin-bottom: 8px;
}

input, select, textarea {
    padding: 8px;
    border-radius: 8px;
}


/*hide heading ^*/
.section-indicator {
    display: none;
}


/*wikitable fix*/
table.wikitable tr th {
    background-color: rgb(207 221 236 / 10%);
    text-align: center;
    vertical-align: middle;
}

table.wikitable tr th, table.wikitable tr td {
    padding: 8px 12px 2px 12px;
    border: 1px solid var(--border-color-base);
}


/*apptable*/
table.apptable tr th, table.apptable tr td {
border: 1px solid var(--border-color-base);
padding: 2px 4px;
}

table.apptable tr th {
background-color: rgb(207 221 236 / 10%);
}

Advertising: